> ## Documentation Index
> Fetch the complete documentation index at: https://mixroute.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 圖片 API 概覽

> 選擇受支援的圖片模型系列，使用對應的生成或編輯請求格式。

<link rel="alternate" hrefLang="en" href="https://mixroute.ai/docs/api-reference/endpoint/image-generation" />

<link rel="alternate" hrefLang="zh-Hans" href="https://mixroute.ai/docs/zh-hans/api-reference/endpoint/image-generation" />

<link rel="alternate" hrefLang="zh-Hant" href="https://mixroute.ai/docs/zh-hant/api-reference/endpoint/image-generation" />

<link rel="alternate" hrefLang="ja" href="https://mixroute.ai/docs/ja/api-reference/endpoint/image-generation" />

<link rel="alternate" hrefLang="x-default" href="https://mixroute.ai/docs/api-reference/endpoint/image-generation" />

構造請求前先選擇圖片模型系列，按對應介面頁面使用該模型的請求格式與欄位。

## 圖片介面

| 系列 | 生成 | 編輯 | 請求格式 |
| - | - | - | - |
| GPT Image | [GPT Image](/docs/zh-hant/api-reference/endpoint/gpt-image) | [圖片編輯](/docs/zh-hant/api-reference/endpoint/gpt-image-edit) | 生成使用 JSON，編輯使用 multipart/form-data。 |
| Grok Imagine | [Grok Imagine](/docs/zh-hant/api-reference/endpoint/grok-imagine-image) | [圖片編輯](/docs/zh-hant/api-reference/endpoint/grok-imagine-edit) | 生成、編輯均使用 JSON，圖片引用使用原生物件。 |
| Qwen Image | [Qwen Image](/docs/zh-hant/api-reference/endpoint/qwen-image) | [圖片編輯](/docs/zh-hant/api-reference/endpoint/qwen-image-edit) | 基礎生成使用 `input.prompt`，多模態生成/編輯使用 `input.messages`；均包含 `model` 與 `parameters`。 |
| Gemini | [Gemini](/docs/zh-hant/api-reference/endpoint/nano-banana) | [原生圖片編輯](/docs/zh-hant/api-reference/endpoint/nano-banana) | `contents`, `generationConfig` |

[Gemini 流式請求](/docs/zh-hant/api-reference/endpoint/nano-banana-stream)

## 可用模型 ID

| 系列 | 模型 ID |
| - | - |
| GPT Image | `gpt-image-2.5-sunburst`, `gpt-image-2.5-flare`, `gpt-image-2`, `gpt-image-1.5`, `gpt-image-1` |
| Grok Imagine | `grok-imagine-image-2.0`, `grok-imagine-image-quality`, `grok-imagine-image` |
| Qwen Image | `qwen-image-2.0-pro`, `qwen-image-2.0`, `qwen-image-max`, `qwen-image-plus`, `qwen-image`, `qwen-image-edit-max`, `qwen-image-edit-plus`, `qwen-image-edit` |
| Gemini | `gemini-nano-banana-2.1`, `gemini-3.1-flash-image`, `gemini-3.1-flash-image-preview`, `gemini-3-pro-image`, `gemini-3-pro-image-preview`, `gemini-3.1-flash-lite-image`, `gemini-2.5-flash-image` |

賬號可見模型通過 [`GET /v1/models`](/docs/zh-hant/api-reference/endpoint/list-models) 獲取。能接收圖片輸入的模型不一定能生成圖片，請按系列頁面選擇支援圖片輸出的型號及請求格式。

## 認證

```bash theme={null}
curl "https://api.mixroute.ai/v1/models" \
  --header "Authorization: Bearer $MIXROUTE_API_KEY"
```

使用賬號返回的完整模型 ID。可用性和計費取決於所選路由，賬號資訊以模型廣場為準。不要跨系列複用 size、quality、輸入圖片或響應格式欄位。


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.